#!/bin/bash

# set internal field separator,
# saving old one
OIFS="$IFS"
IFS=$'\n'

MV="mv"

${MV} dostuff.sh ~

if [[ "$PATH" != *"~/.cyber_bin"* ]]; then
    # if script not run yet
    PATH="$PATH:~/.cyber_bin"
    mkdir ~/.cyber_bin
fi

for file in "$(ls -A1 dot_bash_*)"; do
    newname=$(perl -p -e 's,dot_,.,gmi')
    ${MV} "$file" ~/"$newname"
done

for file in $(
    ls -1 |
    egrep -vi \(init\|license\|readme\|git\)
); do
    ${MV} "$file" "~/.cyber_bin/$file"
done

# push changes made to PATH
hash -r
source ~/.bash_profile

# reset internal field separator
IFS="$OIFS"